// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 226);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var stream = weex.requireModule('stream');
var SHA256 = __webpack_require__(3);
var loginModule = weex.requireModule('STWeekLoginModule');

function randomWord(randomFlag, min, max) {
  var str = "",
      range = min,
      arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
  // 随机产生
  if (randomFlag) {
    range = Math.round(Math.random() * (max - min)) + min;
  }
  for (var i = 0; i < range; i++) {
    var pos = Math.round(Math.random() * (arr.length - 1));
    str += arr[pos];
  }
  return str;
}

var ts = new Date().getTime();
var rs = randomWord(false, 16);
var token = 'P0tk894Tcxi4t%S$';
var urlparam = "";
var cmnttoken = "";
var ShareParam = "";

function getUrlParam() {
  var signature = "";
  var logintoken = "";
  var loginrefresh = "";
  var logindata = loginModule.weiboUserInfo();
  //console.log('logindata.length===',logindata)
  if (logindata.length > 0) {
    logindata = JSON.parse(logindata);
    logintoken = logindata["access_token"];
    cmnttoken = '&token=' + logindata["access_token"];
    loginrefresh = logindata["refresh_token"];
    signature = SHA256([ts, rs, token, logintoken, loginrefresh].sort().join('')).toString();
    urlparam = '&ts=' + ts + '&rs=' + rs + '&signature=' + signature + '&token=' + logintoken + '&refresh=' + loginrefresh + '&version=1.0.01';
    ShareParam = 'uid=' + logindata["uid"] + '&code=' + SHA256(['zhongce', logindata["uid"], 'zhongce'].join('')).toString().substr(0, 6) + '&';
  } else {
    signature = SHA256([ts, rs, token].sort().join('')).toString();
    urlparam = '&ts=' + ts + '&rs=' + rs + '&signature=' + signature;
  }
}

function toParams(obj) {
  var param = "";
  for (var name in obj) {
    if (typeof obj[name] != 'function') {
      param += "&" + name + "=" + encodeURI(obj[name]);
    }
  }
  return param.substring(1);
}

function getParams() {
  getUrlParam();
  return urlparam;
}

function getShareParam() {
  if (!ShareParam) getUrlParam();
  return ShareParam;
}

function fetch(dataurl) {
  getUrlParam();
  var url = '' + (dataurl + urlparam);
  //let url = dataurl;
  console.log('------------------------------------');
  console.log("地址: " + url);
  console.log('------------------------------------');
  var type = "json";
  if (weex.config.env.platform == "Web") {
    type = "jsonp";
  }
  return new Promise(function (resolve, reject) {
    stream.fetch({
      method: 'GET',
      url: url,
      type: type
    }, function (response) {
      if (response.ok) {
        resolve(response.data);
      } else {
        reject(response.ok);
      }
    });
  });
}

function post(dataurl, data) {
  getUrlParam();

  var url = '' + (dataurl + urlparam);
  return new Promise(function (resolve, reject) {
    var aheader = {
      'Content-Type': 'application/x-www-form-urlencoded',
      'Referer': 'http://tousu.sina.cn',
      'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 9_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13B143 Safari/601.1'
    };
    stream.fetch({
      method: 'POST',
      url: url,
      type: 'json',
      headers: aheader,
      body: toParams(data)
    }, function (response) {
      if (response.ok) {
        resolve(response.data);
      } else {
        reject(response.ok);
      }
    });
  });
}

function get(dataurl) {
  //getUrlParam()
  //let url = `${dataurl+cmnttoken}`
  var url = dataurl;
  return new Promise(function (resolve, reject) {
    stream.fetch({
      method: 'GET',
      url: url,
      type: 'json'
    }, function (response) {
      if (response.ok) {
        resolve(response.data);
      } else {
        reject(response.status);
      }
    });
  });
}

function send(dataurl, data) {
  return new Promise(function (resolve, reject) {
    var aheader = {
      'Content-Type': 'application/x-www-form-urlencoded'
    };
    stream.fetch({
      method: 'POST',
      url: dataurl,
      type: 'json',
      headers: aheader,
      body: toParams(data)
    }, function (response) {
      if (response.ok) {
        resolve(response.data);
      } else {
        reject(response.status); //修改为错误状态码
      }
    });
  });
}

exports.default = {
  fetch: fetch,
  send: send,
  get: get,
  post: post,
  getParams: getParams
  //   getShareParam
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// Created by rongyao on 17/11/10.
// 后台接口
//const host=`http://xiaotie.zhongce.sina.com.cn/`;
//const host=`http://jiaqing3.zhongce.sina.cn/`;
var device = weex.config.env;
//const host='http://zhangchao11.tousu.sina.cn/';
var host = device.platform === 'iOS' ? 'http://tousu.sina.cn/' : 'http://tousu.sina.com.cn/';

var configApi = {
    // host
    host: host,
    ARTICLES: host + 'apps/article/feed_v1?', //报道接口 需要修改
    MESSAGE_LIST: host + 'apps/user/message_list_v1?', //消息列表
    send_message: host + 'apps/sms/send_v1?', //发送短信 初次绑定
    SEND_CERT: host + 'apps/user/send_cert_v1?', //发送验证码
    VERIFY_PHONE: host + 'apps/user/verify_phone_v1?', //验证验证码
    update_phone: host + 'apps/user/update_phone_v1?', //更新手机
    top_rank: host + 'apps/top_rank/index_v1?', //红黑榜
    article_view: host + 'apps/article/view_v1/?', //报道详情页
    MY_COMPLAINTS: host + 'user/complaints', //我的投诉
    RECEIVED_COMPLAINTS: host + 'user/received_complaints', //收到的投诉
    INDEX_FEED: host + 'apps/complaint/feed_v1?', //首页投诉列表
    INDEX_OTHER: host + 'apps/index/index_v1?', //首页其他消息
    complaint_create: host + 'apps/complaint/create_v1/?', //创建投诉页面
    complaint_reply: host + 'apps/complaint/reply_v1/?', //商家回复投诉
    company_detail: host + 'apps/company/view_v1?', //商家详情页
    company_received: host + 'apps/company/received_complaints_v1?', //商家收到的投诉页
    complaint_update: host + 'apps/complaint/update_v1/?', //用户更新投诉
    complaint_view: host + 'apps/complaint/view_v1/?', //投诉单页面
    complaint_complete: host + 'apps/complaint/complete_v1/?', //用户完成投诉
    complaint_info: host + 'apps/complaint/info_v1/?', //用户评价页面商家信息
    user_view: host + 'apps/user/view_v1?', //我的个人中心
    user_complaints: host + 'apps/user/complaints_v1?', //用户的投诉
    user_received_complaints: host + 'apps/user/received_complaints_v1?', //商家收到的投诉
    user_help: "https://tousu.sina.cn/help/index",
    SEARCH_SUGGEST: host + 'apps/index/suggest_v1?', //搜索投诉单
    SEARCH_RESULT: host + 'apps/complaint/search_v1?', //搜索结果页投诉单列表
    SELLER_LIST: host + 'api/company/main_search?sort_col=1&sort_ord=2&', //商家list
    share_amount_complaint: host + 'apps/complaint/share_v1/?', //投诉分享数 首页
    share_amount_article: host + 'apps/article/share_v1/?', //投诉分享数 文章
    PRAISE: host + 'api/votes/add', //点赞或取消点赞
    check_vote: host + '/api/votes/check', //检查是否可以点赞
    complaint_like: host + 'apps/complaint/info_v1?sn=', //获取投诉点赞数
    report_like: host + 'apps/article/info_v1?id=', //获取报到点赞数
    report_upvote: host + 'apps/article/upvote_v1?', //报道点赞
    complaint_upvote: host + 'apps/complaint/upvote_v1?', //投诉点赞
    // 评论数接口
    cmnt_num: 'http://comment5.news.sina.com.cn/cmnt/count?format=json&newslist=',
    // 评论列表接口
    cmnt_list: 'http://comment5.news.sina.com.cn/page/info?channel=tousu&',
    // 热门评论列表
    cmnt_hot_list: 'http://comment5.news.sina.com.cn/page/info?version=1&format=json&channel=tousu&group=0&compress=0&ie=utf-8&oe=utf-8&page_size=10&t_size=5&h_size=5&thread=1&',
    // 更多评论接口
    cmnt_detail: 'http://comment5.news.sina.com.cn/cmnt/info?channel=tousu&ie=utf-8&oe=utf-8&format=json&page_size=15&order=0&thread=1&',
    // 评论点赞接口
    cmnt_zan: 'https://cmnt.sina.cn/aj/v2/vote?tj_ch=tousu',
    // 发送评论
    cmnt_send: host + '/apps/comment/submit_v1?'

};

exports.default = configApi;

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var WXNetwork = weex.requireModule('WXNetwork');
var modal = weex.requireModule('modal');

var isNet = true;
WXNetwork.hasNet(function (ret) {
    if (ret == 'false') {
        isNet = false;
        modal.toast({
            message: '网络断开，请联网后重试',
            duration: 0.8
        });
    }
});
exports.default = {
    getNet: function getNet() {
        return isNet;
    }
};

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _apis = __webpack_require__(0);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(1);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by zwwill on 2017/8/27.
 */
var device = weex.config.env;
var WXShareModule = weex.requireModule("WXShareModule");
var modal = weex.requireModule('modal');

var utilFunc = {
  showShare: function showShare(param, callback) {
    WXShareModule.weexShare(param, function (ret) {
      if (ret == "success") {
        modal.toast({
          message: "分享成功",
          duration: 0.8
        });
        callback(true);
      } else if (ret == "fail") {
        modal.toast({
          message: "分享失败",
          duration: 0.8
        });
        //callback(false)
      }
    });
  },
  initIconFont: function initIconFont() {
    var domModule = weex.requireModule('dom');
    domModule.addRule('fontFace', {
      'fontFamily': "iconfont",
      'src': "url('http://at.alicdn.com/t/font_404010_jgmnakd1zizr529.ttf')"
    });
  },
  getBaseUrl: function getBaseUrl(url) {
    var bundleUrl = new String(url);
    var nativeBase = void 0;
    //let isAndroidAssets  bundleUrl.indexOf('file://assets/') >= 0;
    //let isiOSAssets = device.platform === 'iOS' || bundleUrl.indexOf('file://') >= 0 && bundleUrl.indexOf('.app') > 0;
    if (device.platform === 'iOS') {
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
      nativeBase = nativeBase.split("/views/")[0] + "/views/";
    } else {
      nativeBase = 'file://assets/dist/views/';
    }
    //console.log("ios++:"+nativeBase);
    // }
    // else {
    //     let host = 'localhost:12580';
    //     let matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
    //     if (matches && matches.length >= 2) {
    //         host = matches[1];
    //     }
    //     nativeBase = 'http://' + host + '/' + this.dir + '/build/';
    // }
    var h5Base = './index.html?page=./' + this.dir + '/build/';
    // in Native
    var base = nativeBase;
    if ((typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object') {
      // in Browser or WebView
      base = h5Base;
    }
    return base;
  },
  setBundleUrl: function setBundleUrl(url, jsFile) {
    var bundleUrl = url;
    var host = '';
    var path = '';
    var nativeBase = void 0;
    var isAndroidAssets = bundleUrl.indexOf('your_current_IP') >= 0 || bundleUrl.indexOf('file://assets/') >= 0;
    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf('SinaZC.app') > 0;
    if (isAndroidAssets) {
      nativeBase = 'file://assets/dist';
    } else if (isiOSAssets) {
      // file:///var/mobile/Containers/Bundle/Application/{id}/SinaZC.app/
      // file:///Users/{user}/Library/Developer/CoreSimulator/Devices/{id}/data/Containers/Bundle/Application/{id}/SinaZC.app/
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
    } else {
      var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
      var matchFirstPath = /\/\/[^\/]+\/([^\/]+)\//.exec(bundleUrl);
      if (matches && matches.length >= 2) {
        host = matches[1];
      }
      if (matchFirstPath && matchFirstPath.length >= 2) {
        path = matchFirstPath[1];
      }
      nativeBase = 'http://' + host + '/';
    }
    var h5Base = './index.html?page=';
    // in Native
    var base = nativeBase;
    if (typeof navigator !== 'undefined' && (navigator.appCodeName === 'Mozilla' || navigator.product === 'Gecko')) {
      // check if in weexpack project
      if (path === 'web' || path === 'dist') {
        base = h5Base + '/dist/';
      } else {
        base = h5Base + '';
      }
    } else {
      base = nativeBase + (!!path ? path + '/' : '');
    }

    var newUrl = base + jsFile;
    return newUrl;
  },
  getUrlSearch: function getUrlSearch(url, name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = url.slice(url.indexOf('?') + 1).match(reg);
    if (r != null) {
      try {
        return decodeURIComponent(r[2]);
      } catch (_e) {
        return null;
      }
    }
    return null;
  },
  getStrLen: function getStrLen(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length;
    for (var i = 0; i < len; i++) {
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
    }
    return num;
  },
  getUserName: function getUserName(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length,
        res = [];
    for (var i = 0; i < len; i++) {
      if (num > 10) {
        res.push('...');
        return res.join('');
      }
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
      res.push(arr[i]);
    }
    return res.join('');
  },
  isiOS: function isiOS() {
    return device.platform === 'iOS';
  },
  voteFor: function voteFor(obj, callback) {
    var url = "";
    var data = {};
    if (obj.type) {
      url = _configApi2.default.report_upvote;
      data = {
        id: obj.id
      };
    } else {
      url = _configApi2.default.complaint_upvote;
      data = {
        sn: obj.id
      };
    }
    _apis2.default.post(url, data).then(function (res) {
      callback(res);
    }).catch(function (err) {
      modal.toast({
        message: "点赞失败",
        duration: 0.8
      });
    });
  }
};

exports.default = utilFunc;

/***/ }),

/***/ 226:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _tousuRule = __webpack_require__(83);

var _tousuRule2 = _interopRequireDefault(_tousuRule);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_tousuRule2.default.el = '#root';
new Vue(_tousuRule2.default);

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(4));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Initialization and round constants tables
	    var H = [];
	    var K = [];

	    // Compute constants
	    (function () {
	        function isPrime(n) {
	            var sqrtN = Math.sqrt(n);
	            for (var factor = 2; factor <= sqrtN; factor++) {
	                if (!(n % factor)) {
	                    return false;
	                }
	            }

	            return true;
	        }

	        function getFractionalBits(n) {
	            return ((n - (n | 0)) * 0x100000000) | 0;
	        }

	        var n = 2;
	        var nPrime = 0;
	        while (nPrime < 64) {
	            if (isPrime(n)) {
	                if (nPrime < 8) {
	                    H[nPrime] = getFractionalBits(Math.pow(n, 1 / 2));
	                }
	                K[nPrime] = getFractionalBits(Math.pow(n, 1 / 3));

	                nPrime++;
	            }

	            n++;
	        }
	    }());

	    // Reusable object
	    var W = [];

	    /**
	     * SHA-256 hash algorithm.
	     */
	    var SHA256 = C_algo.SHA256 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init(H.slice(0));
	        },

	        _doProcessBlock: function (M, offset) {
	            // Shortcut
	            var H = this._hash.words;

	            // Working variables
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];
	            var e = H[4];
	            var f = H[5];
	            var g = H[6];
	            var h = H[7];

	            // Computation
	            for (var i = 0; i < 64; i++) {
	                if (i < 16) {
	                    W[i] = M[offset + i] | 0;
	                } else {
	                    var gamma0x = W[i - 15];
	                    var gamma0  = ((gamma0x << 25) | (gamma0x >>> 7))  ^
	                                  ((gamma0x << 14) | (gamma0x >>> 18)) ^
	                                   (gamma0x >>> 3);

	                    var gamma1x = W[i - 2];
	                    var gamma1  = ((gamma1x << 15) | (gamma1x >>> 17)) ^
	                                  ((gamma1x << 13) | (gamma1x >>> 19)) ^
	                                   (gamma1x >>> 10);

	                    W[i] = gamma0 + W[i - 7] + gamma1 + W[i - 16];
	                }

	                var ch  = (e & f) ^ (~e & g);
	                var maj = (a & b) ^ (a & c) ^ (b & c);

	                var sigma0 = ((a << 30) | (a >>> 2)) ^ ((a << 19) | (a >>> 13)) ^ ((a << 10) | (a >>> 22));
	                var sigma1 = ((e << 26) | (e >>> 6)) ^ ((e << 21) | (e >>> 11)) ^ ((e << 7)  | (e >>> 25));

	                var t1 = h + sigma1 + ch + K[i] + W[i];
	                var t2 = sigma0 + maj;

	                h = g;
	                g = f;
	                f = e;
	                e = (d + t1) | 0;
	                d = c;
	                c = b;
	                b = a;
	                a = (t1 + t2) | 0;
	            }

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	            H[4] = (H[4] + e) | 0;
	            H[5] = (H[5] + f) | 0;
	            H[6] = (H[6] + g) | 0;
	            H[7] = (H[7] + h) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = Math.floor(nBitsTotal / 0x100000000);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = nBitsTotal;
	            data.sigBytes = dataWords.length * 4;

	            // Hash final blocks
	            this._process();

	            // Return final computed hash
	            return this._hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.SHA256('message');
	     *     var hash = CryptoJS.SHA256(wordArray);
	     */
	    C.SHA256 = Hasher._createHelper(SHA256);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacSHA256(message, key);
	     */
	    C.HmacSHA256 = Hasher._createHmacHelper(SHA256);
	}(Math));


	return CryptoJS.SHA256;

}));

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory();
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define([], factory);
	}
	else {
		// Global (browser)
		root.CryptoJS = factory();
	}
}(this, function () {

	/**
	 * CryptoJS core components.
	 */
	var CryptoJS = CryptoJS || (function (Math, undefined) {
	    /*
	     * Local polyfil of Object.create
	     */
	    var create = Object.create || (function () {
	        function F() {};

	        return function (obj) {
	            var subtype;

	            F.prototype = obj;

	            subtype = new F();

	            F.prototype = null;

	            return subtype;
	        };
	    }())

	    /**
	     * CryptoJS namespace.
	     */
	    var C = {};

	    /**
	     * Library namespace.
	     */
	    var C_lib = C.lib = {};

	    /**
	     * Base object for prototypal inheritance.
	     */
	    var Base = C_lib.Base = (function () {


	        return {
	            /**
	             * Creates a new object that inherits from this object.
	             *
	             * @param {Object} overrides Properties to copy into the new object.
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         field: 'value',
	             *
	             *         method: function () {
	             *         }
	             *     });
	             */
	            extend: function (overrides) {
	                // Spawn
	                var subtype = create(this);

	                // Augment
	                if (overrides) {
	                    subtype.mixIn(overrides);
	                }

	                // Create default initializer
	                if (!subtype.hasOwnProperty('init') || this.init === subtype.init) {
	                    subtype.init = function () {
	                        subtype.$super.init.apply(this, arguments);
	                    };
	                }

	                // Initializer's prototype is the subtype object
	                subtype.init.prototype = subtype;

	                // Reference supertype
	                subtype.$super = this;

	                return subtype;
	            },

	            /**
	             * Extends this object and runs the init method.
	             * Arguments to create() will be passed to init().
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var instance = MyType.create();
	             */
	            create: function () {
	                var instance = this.extend();
	                instance.init.apply(instance, arguments);

	                return instance;
	            },

	            /**
	             * Initializes a newly created object.
	             * Override this method to add some logic when your objects are created.
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         init: function () {
	             *             // ...
	             *         }
	             *     });
	             */
	            init: function () {
	            },

	            /**
	             * Copies properties into this object.
	             *
	             * @param {Object} properties The properties to mix in.
	             *
	             * @example
	             *
	             *     MyType.mixIn({
	             *         field: 'value'
	             *     });
	             */
	            mixIn: function (properties) {
	                for (var propertyName in properties) {
	                    if (properties.hasOwnProperty(propertyName)) {
	                        this[propertyName] = properties[propertyName];
	                    }
	                }

	                // IE won't copy toString using the loop above
	                if (properties.hasOwnProperty('toString')) {
	                    this.toString = properties.toString;
	                }
	            },

	            /**
	             * Creates a copy of this object.
	             *
	             * @return {Object} The clone.
	             *
	             * @example
	             *
	             *     var clone = instance.clone();
	             */
	            clone: function () {
	                return this.init.prototype.extend(this);
	            }
	        };
	    }());

	    /**
	     * An array of 32-bit words.
	     *
	     * @property {Array} words The array of 32-bit words.
	     * @property {number} sigBytes The number of significant bytes in this word array.
	     */
	    var WordArray = C_lib.WordArray = Base.extend({
	        /**
	         * Initializes a newly created word array.
	         *
	         * @param {Array} words (Optional) An array of 32-bit words.
	         * @param {number} sigBytes (Optional) The number of significant bytes in the words.
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.create();
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
	         */
	        init: function (words, sigBytes) {
	            words = this.words = words || [];

	            if (sigBytes != undefined) {
	                this.sigBytes = sigBytes;
	            } else {
	                this.sigBytes = words.length * 4;
	            }
	        },

	        /**
	         * Converts this word array to a string.
	         *
	         * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
	         *
	         * @return {string} The stringified word array.
	         *
	         * @example
	         *
	         *     var string = wordArray + '';
	         *     var string = wordArray.toString();
	         *     var string = wordArray.toString(CryptoJS.enc.Utf8);
	         */
	        toString: function (encoder) {
	            return (encoder || Hex).stringify(this);
	        },

	        /**
	         * Concatenates a word array to this word array.
	         *
	         * @param {WordArray} wordArray The word array to append.
	         *
	         * @return {WordArray} This word array.
	         *
	         * @example
	         *
	         *     wordArray1.concat(wordArray2);
	         */
	        concat: function (wordArray) {
	            // Shortcuts
	            var thisWords = this.words;
	            var thatWords = wordArray.words;
	            var thisSigBytes = this.sigBytes;
	            var thatSigBytes = wordArray.sigBytes;

	            // Clamp excess bits
	            this.clamp();

	            // Concat
	            if (thisSigBytes % 4) {
	                // Copy one byte at a time
	                for (var i = 0; i < thatSigBytes; i++) {
	                    var thatByte = (thatWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                    thisWords[(thisSigBytes + i) >>> 2] |= thatByte << (24 - ((thisSigBytes + i) % 4) * 8);
	                }
	            } else {
	                // Copy one word at a time
	                for (var i = 0; i < thatSigBytes; i += 4) {
	                    thisWords[(thisSigBytes + i) >>> 2] = thatWords[i >>> 2];
	                }
	            }
	            this.sigBytes += thatSigBytes;

	            // Chainable
	            return this;
	        },

	        /**
	         * Removes insignificant bits.
	         *
	         * @example
	         *
	         *     wordArray.clamp();
	         */
	        clamp: function () {
	            // Shortcuts
	            var words = this.words;
	            var sigBytes = this.sigBytes;

	            // Clamp
	            words[sigBytes >>> 2] &= 0xffffffff << (32 - (sigBytes % 4) * 8);
	            words.length = Math.ceil(sigBytes / 4);
	        },

	        /**
	         * Creates a copy of this word array.
	         *
	         * @return {WordArray} The clone.
	         *
	         * @example
	         *
	         *     var clone = wordArray.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone.words = this.words.slice(0);

	            return clone;
	        },

	        /**
	         * Creates a word array filled with random bytes.
	         *
	         * @param {number} nBytes The number of random bytes to generate.
	         *
	         * @return {WordArray} The random word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.random(16);
	         */
	        random: function (nBytes) {
	            var words = [];

	            var r = (function (m_w) {
	                var m_w = m_w;
	                var m_z = 0x3ade68b1;
	                var mask = 0xffffffff;

	                return function () {
	                    m_z = (0x9069 * (m_z & 0xFFFF) + (m_z >> 0x10)) & mask;
	                    m_w = (0x4650 * (m_w & 0xFFFF) + (m_w >> 0x10)) & mask;
	                    var result = ((m_z << 0x10) + m_w) & mask;
	                    result /= 0x100000000;
	                    result += 0.5;
	                    return result * (Math.random() > .5 ? 1 : -1);
	                }
	            });

	            for (var i = 0, rcache; i < nBytes; i += 4) {
	                var _r = r((rcache || Math.random()) * 0x100000000);

	                rcache = _r() * 0x3ade67b7;
	                words.push((_r() * 0x100000000) | 0);
	            }

	            return new WordArray.init(words, nBytes);
	        }
	    });

	    /**
	     * Encoder namespace.
	     */
	    var C_enc = C.enc = {};

	    /**
	     * Hex encoding strategy.
	     */
	    var Hex = C_enc.Hex = {
	        /**
	         * Converts a word array to a hex string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The hex string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var hexChars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                hexChars.push((bite >>> 4).toString(16));
	                hexChars.push((bite & 0x0f).toString(16));
	            }

	            return hexChars.join('');
	        },

	        /**
	         * Converts a hex string to a word array.
	         *
	         * @param {string} hexStr The hex string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
	         */
	        parse: function (hexStr) {
	            // Shortcut
	            var hexStrLength = hexStr.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < hexStrLength; i += 2) {
	                words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << (24 - (i % 8) * 4);
	            }

	            return new WordArray.init(words, hexStrLength / 2);
	        }
	    };

	    /**
	     * Latin1 encoding strategy.
	     */
	    var Latin1 = C_enc.Latin1 = {
	        /**
	         * Converts a word array to a Latin1 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Latin1 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var latin1Chars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                latin1Chars.push(String.fromCharCode(bite));
	            }

	            return latin1Chars.join('');
	        },

	        /**
	         * Converts a Latin1 string to a word array.
	         *
	         * @param {string} latin1Str The Latin1 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
	         */
	        parse: function (latin1Str) {
	            // Shortcut
	            var latin1StrLength = latin1Str.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < latin1StrLength; i++) {
	                words[i >>> 2] |= (latin1Str.charCodeAt(i) & 0xff) << (24 - (i % 4) * 8);
	            }

	            return new WordArray.init(words, latin1StrLength);
	        }
	    };

	    /**
	     * UTF-8 encoding strategy.
	     */
	    var Utf8 = C_enc.Utf8 = {
	        /**
	         * Converts a word array to a UTF-8 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The UTF-8 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            try {
	                return decodeURIComponent(escape(Latin1.stringify(wordArray)));
	            } catch (e) {
	                throw new Error('Malformed UTF-8 data');
	            }
	        },

	        /**
	         * Converts a UTF-8 string to a word array.
	         *
	         * @param {string} utf8Str The UTF-8 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
	         */
	        parse: function (utf8Str) {
	            return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
	        }
	    };

	    /**
	     * Abstract buffered block algorithm template.
	     *
	     * The property blockSize must be implemented in a concrete subtype.
	     *
	     * @property {number} _minBufferSize The number of blocks that should be kept unprocessed in the buffer. Default: 0
	     */
	    var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
	        /**
	         * Resets this block algorithm's data buffer to its initial state.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm.reset();
	         */
	        reset: function () {
	            // Initial values
	            this._data = new WordArray.init();
	            this._nDataBytes = 0;
	        },

	        /**
	         * Adds new data to this block algorithm's buffer.
	         *
	         * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm._append('data');
	         *     bufferedBlockAlgorithm._append(wordArray);
	         */
	        _append: function (data) {
	            // Convert string to WordArray, else assume WordArray already
	            if (typeof data == 'string') {
	                data = Utf8.parse(data);
	            }

	            // Append
	            this._data.concat(data);
	            this._nDataBytes += data.sigBytes;
	        },

	        /**
	         * Processes available data blocks.
	         *
	         * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
	         *
	         * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
	         *
	         * @return {WordArray} The processed data.
	         *
	         * @example
	         *
	         *     var processedData = bufferedBlockAlgorithm._process();
	         *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
	         */
	        _process: function (doFlush) {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	            var dataSigBytes = data.sigBytes;
	            var blockSize = this.blockSize;
	            var blockSizeBytes = blockSize * 4;

	            // Count blocks ready
	            var nBlocksReady = dataSigBytes / blockSizeBytes;
	            if (doFlush) {
	                // Round up to include partial blocks
	                nBlocksReady = Math.ceil(nBlocksReady);
	            } else {
	                // Round down to include only full blocks,
	                // less the number of blocks that must remain in the buffer
	                nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
	            }

	            // Count words ready
	            var nWordsReady = nBlocksReady * blockSize;

	            // Count bytes ready
	            var nBytesReady = Math.min(nWordsReady * 4, dataSigBytes);

	            // Process blocks
	            if (nWordsReady) {
	                for (var offset = 0; offset < nWordsReady; offset += blockSize) {
	                    // Perform concrete-algorithm logic
	                    this._doProcessBlock(dataWords, offset);
	                }

	                // Remove processed words
	                var processedWords = dataWords.splice(0, nWordsReady);
	                data.sigBytes -= nBytesReady;
	            }

	            // Return processed words
	            return new WordArray.init(processedWords, nBytesReady);
	        },

	        /**
	         * Creates a copy of this object.
	         *
	         * @return {Object} The clone.
	         *
	         * @example
	         *
	         *     var clone = bufferedBlockAlgorithm.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone._data = this._data.clone();

	            return clone;
	        },

	        _minBufferSize: 0
	    });

	    /**
	     * Abstract hasher template.
	     *
	     * @property {number} blockSize The number of 32-bit words this hasher operates on. Default: 16 (512 bits)
	     */
	    var Hasher = C_lib.Hasher = BufferedBlockAlgorithm.extend({
	        /**
	         * Configuration options.
	         */
	        cfg: Base.extend(),

	        /**
	         * Initializes a newly created hasher.
	         *
	         * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
	         *
	         * @example
	         *
	         *     var hasher = CryptoJS.algo.SHA256.create();
	         */
	        init: function (cfg) {
	            // Apply config defaults
	            this.cfg = this.cfg.extend(cfg);

	            // Set initial values
	            this.reset();
	        },

	        /**
	         * Resets this hasher to its initial state.
	         *
	         * @example
	         *
	         *     hasher.reset();
	         */
	        reset: function () {
	            // Reset data buffer
	            BufferedBlockAlgorithm.reset.call(this);

	            // Perform concrete-hasher logic
	            this._doReset();
	        },

	        /**
	         * Updates this hasher with a message.
	         *
	         * @param {WordArray|string} messageUpdate The message to append.
	         *
	         * @return {Hasher} This hasher.
	         *
	         * @example
	         *
	         *     hasher.update('message');
	         *     hasher.update(wordArray);
	         */
	        update: function (messageUpdate) {
	            // Append
	            this._append(messageUpdate);

	            // Update the hash
	            this._process();

	            // Chainable
	            return this;
	        },

	        /**
	         * Finalizes the hash computation.
	         * Note that the finalize operation is effectively a destructive, read-once operation.
	         *
	         * @param {WordArray|string} messageUpdate (Optional) A final message update.
	         *
	         * @return {WordArray} The hash.
	         *
	         * @example
	         *
	         *     var hash = hasher.finalize();
	         *     var hash = hasher.finalize('message');
	         *     var hash = hasher.finalize(wordArray);
	         */
	        finalize: function (messageUpdate) {
	            // Final message update
	            if (messageUpdate) {
	                this._append(messageUpdate);
	            }

	            // Perform concrete-hasher logic
	            var hash = this._doFinalize();

	            return hash;
	        },

	        blockSize: 512/32,

	        /**
	         * Creates a shortcut function to a hasher's object interface.
	         *
	         * @param {Hasher} hasher The hasher to create a helper for.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
	         */
	        _createHelper: function (hasher) {
	            return function (message, cfg) {
	                return new hasher.init(cfg).finalize(message);
	            };
	        },

	        /**
	         * Creates a shortcut function to the HMAC's object interface.
	         *
	         * @param {Hasher} hasher The hasher to use in this HMAC helper.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
	         */
	        _createHmacHelper: function (hasher) {
	            return function (message, key) {
	                return new C_algo.HMAC.init(hasher, key).finalize(message);
	            };
	        }
	    });

	    /**
	     * Algorithm namespace.
	     */
	    var C_algo = C.algo = {};

	    return C;
	}(Math));


	return CryptoJS;

}));

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
// 登录组件
var loginModule = weex.requireModule('STWeekLoginModule');
var modal = weex.requireModule('modal');
var WXBadge = weex.requireModule('WXBadge');
// 是否登录
function isLogin() {
    var userInfo = loginModule.weiboUserInfo();
    if (userInfo.length <= 0) {
        return false;
    } else {
        return true;
    }
}

//获取个人信息
function getUserinfo() {
    var logindata = loginModule.weiboUserInfo();
    if (logindata.length > 0) {
        logindata = JSON.parse(logindata);
        return logindata;
    } else return "";
}

// 微博登录
function login() {
    var userInfo = loginModule.weiboUserInfo();
    if (userInfo.length <= 0) {
        loginModule.openURL('weiboLoginAction', function (ret) {
            var loginInfo = JSON.parse(ret);
            return loginInfo;
        });
    } else {
        return JSON.parse(userInfo);
    }
}
// 退出登录
function logout(msg) {
    loginModule.openURL('weiboLogoutAction', function (ret) {
        var loginInfo = ret;
        if (loginInfo.length <= 0) {
            WXBadge.hideBadge();
            var logoutchannel = new BroadcastChannel("logout");
            logoutchannel.postMessage("logout");
            if (!msg) {
                modal.toast({
                    message: '退出登录成功',
                    duration: 1
                });
            }
        }
    });
}

exports.default = {
    isLogin: isLogin,
    login: login,
    logout: logout,
    getUserinfo: getUserinfo
};

/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(84)
)

/* script */
__vue_exports__ = __webpack_require__(85)

/* template */
var __vue_template__ = __webpack_require__(86)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/cld/sinawork/黑猫投诉/heimao/src/views/tousu/tousuRule.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-8cd2c0ca"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 84:
/***/ (function(module, exports) {

module.exports = {
  "tousu_page": {
    "backgroundColor": "#ffffff"
  },
  "tousu_title": {
    "width": "750",
    "height": "80",
    "textAlign": "center",
    "lineHeight": "80",
    "backgroundColor": "#000000",
    "color": "#fbaf17",
    "fontSize": "32"
  },
  "rule_wrap": {
    "paddingTop": "36",
    "paddingLeft": "30",
    "paddingRight": "30"
  },
  "rule_title": {
    "fontSize": "36",
    "color": "#0f0f0f",
    "width": "690",
    "height": "44",
    "lineHeight": "44",
    "textAlign": "center",
    "marginBottom": "42"
  },
  "rule_text": {
    "fontSize": "26",
    "color": "#000000",
    "lineHeight": "44"
  },
  "rule_space": {
    "width": "690",
    "height": "20",
    "backgroundColor": "#ffffff"
  },
  "rule_button": {
    "position": "fixed",
    "width": "750",
    "bottom": "0",
    "left": "0",
    "right": "0"
  },
  "topShadow": {
    "width": "750",
    "height": "20"
  },
  "agreefix": {
    "width": "750",
    "backgroundColor": "#ffffff"
  },
  "agreewrap": {
    "width": "750",
    "height": "128",
    "paddingTop": "24",
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "space-between"
  },
  "agreespace": {
    "height": "38"
  },
  "iPhoneXBtm": {
    "height": "86"
  },
  "androidBtm": {
    "height": "0"
  },
  "rule_agree": {
    "width": "460",
    "height": "80",
    "backgroundColor": "#fbaf17",
    "marginRight": "24",
    "fontSize": "32",
    "color": "#ffffff",
    "borderRadius": "80",
    "textAlign": "center",
    "lineHeight": "80"
  },
  "rule_disagree": {
    "width": "200",
    "height": "80",
    "fontSize": "32",
    "color": "#5d5d5d",
    "backgroundColor": "#efefef",
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#a3a3a3",
    "borderRadius": "80",
    "marginLeft": "24",
    "textAlign": "center",
    "lineHeight": "80"
  },
  "rule_fix": {
    "width": "750",
    "height": "230",
    "backgroundColor": "#ffffff"
  }
}

/***/ }),

/***/ 85:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _util = __webpack_require__(2);

var _util2 = _interopRequireDefault(_util);

var _netinfo = __webpack_require__(10);

var _netinfo2 = _interopRequireDefault(_netinfo);

var _configApi = __webpack_require__(1);

var _configApi2 = _interopRequireDefault(_configApi);

var _apis = __webpack_require__(0);

var _apis2 = _interopRequireDefault(_apis);

var _login = __webpack_require__(5);

var _login2 = _interopRequireDefault(_login);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var modal = weex.requireModule('modal'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
var device = weex.config.env;
var channel = new BroadcastChannel("logout");
var globalEvent = weex.requireModule('globalEvent');
var WXShowTab = weex.requireModule("WXShowTab");
var WXUmeng = weex.requireModule("WXUmeng");

exports.default = {
    data: function data() {
        return {
            baseUrl: "",
            isiPhoneX: device.platform === "iOS" && device.deviceWidth === 1125 && device.deviceHeight === 2436,
            isAndroid: !_util2.default.isiOS()
        };
    },
    created: function created() {
        this.baseUrl = _util2.default.getBaseUrl(weex.config.bundleUrl);
        // channel.onmessage=(event)=>{
        //     // 事件回调
        //     if(event.data == 'login') {
        //         this.toTousu()
        //     }
        // }//频道通信
        // globalEvent.addEventListener("logout", (e) => {
        //     // 事件回调
        //     if (e.logout == 'false') {
        //         this.toTousu()
        //     }
        // });
    },

    methods: {
        toLogin: function toLogin() {
            var params = { 'url': this.baseUrl + 'me/melogin.js', 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        toIndex: function toIndex() {
            WXUmeng.umengclick("complaint_create", "不同意", "");

            WXShowTab.showtab(0);
        },
        toPhone: function toPhone() {
            var params = { 'url': this.baseUrl + 'me/phone.js', 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        toTsCreate: function toTsCreate() {
            var params = { 'url': this.baseUrl + 'tousu/tousuCreate.js', 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        toTousu: function toTousu() {
            var _this = this;

            if (_login2.default.isLogin()) {
                _apis2.default.fetch(_configApi2.default.user_view).then(function (res) {
                    if (res && res.result.status.code == 0) {
                        var phone = res.result.data.phone;
                        if (phone == "") _this.toPhone();else {
                            if (_util2.default.isiOS()) channel.postMessage("phone");else _this.toTsCreate();

                            WXUmeng.umengclick("complaint_create", "同意", "");
                        }
                    } else {
                        modal.toast({
                            message: res.result.status.msg,
                            duration: 1
                        });
                    }
                });
            } else {
                this.toLogin();
            }
        }
    }
};

/***/ }),

/***/ 86:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["tousu_page"],
    attrs: {
      "showScrollbar": "false"
    }
  }, [_c('text', {
    staticClass: ["tousu_title"]
  }, [_vm._v("我要投诉")]), _vm._m(0), _c('div', {
    staticClass: ["rule_button"]
  }, [_c('image', {
    staticClass: ["topShadow"],
    attrs: {
      "src": "http://n.sinaimg.cn/tech/hmapp/cmnt_box3x.png?v=1.0"
    }
  }), _c('div', {
    staticClass: ["agreefix"]
  }, [_c('div', {
    staticClass: ["agreewrap"]
  }, [_c('text', {
    staticClass: ["rule_disagree"],
    on: {
      "click": _vm.toIndex
    }
  }, [_vm._v("不同意")]), _c('text', {
    staticClass: ["rule_agree"],
    on: {
      "click": _vm.toTousu
    }
  }, [_vm._v("同意")])]), _c('div', {
    staticClass: ["agreespace"],
    class: [_vm.isiPhoneX ? 'iPhoneXBtm' : '', _vm.isAndroid ? 'androidBtm' : '']
  })])]), _c('div', {
    staticClass: ["rule_fix"]
  })])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["rule_wrap"]
  }, [_c('text', {
    staticClass: ["rule_title"]
  }, [_vm._v("《黑猫投诉平台规则》")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("发布投诉前，请您仔细阅读以下内容，点击“同意”即视为接受以下条款。平台将保留追究法律责任的权利：")]), _c('div', {
    staticClass: ["rule_space"]
  }), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("关于我们：")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("黑猫投诉平台（以下简称“平台”）是新浪旗下消费者服务平台，旨在为消费者与商家建立理性沟通平台，不干涉双方沟通结果。通过平台，消费者能够随时反馈消费过程中遇到的各种问题。依靠平台海量的企业库及极具影响力的各领域专家，消费者的诉求可以得到快速的反馈和专业的指导。")]), _c('div', {
    staticClass: ["rule_space"]
  }), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("您发布投诉时，请留意：")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("1、依法、据实发布投诉内容。不得捏造事实、诽谤他人、泄露他人隐私或有其他违法行为；同时建议注意保护自己的隐私，将个人隐私信息填写在隐私区。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("2、已经发布的投诉无法删除、撤销。投诉方不得利用“删除、撤销投诉”作为条件要求被投诉方解决投诉问题。被投诉方不得以“删除、撤销投诉”为前提条件解决投诉方所投诉问题。一经发现有类似行为，平台将对投诉双方做出严肃处理。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("3、请填写真实联系方式。投诉通过审核时，或者后续有重要的回复时，系统将自动发送短信通知您来查看。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("4、为便于被投诉方回应，请提供准确的被投诉方名称（被投诉方有微博账号，请提供准确的微博账号）、投诉相关所必需的地址、订单号、账号等信息。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("5、发布投诉时建议提交有合法来源的图片（后续将增加音频、视频），作为投诉最关键的证据。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("6、请勿重复发起投诉。后续追加信息只需使用原账号在原投诉单补充投诉区提交即可。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("7、为了更高效的解决投诉及提升消费者维权意识，投诉即视为授权平台使用该投诉内容（使用范围包括但不限于平台官方微博、微信、视频、海报、新闻稿件等）。")]), _c('div', {
    staticClass: ["rule_space"]
  }), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("投诉审核通过后，您可以在投诉页面上使用多个实用的功能。同时，您亦可通过以下渠道自助推动投诉的解决：")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("1、邀请亲朋好友支持：邀请您的朋友登录平台点为您的投诉点赞，使投诉进入“最热投诉”信息流。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("2、转发分享。可在微博、微信等平台分享自己或其他用户的投诉。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("3、为投诉处理结果打分，您可以在投诉帖上为商家评分并确认完成。")]), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("4、随时补充信息。使用原账号在原投诉下发布追加内容，平台及被投诉方将即时收到补充信息、及时跟进。")]), _c('div', {
    staticClass: ["rule_space"]
  }), _c('text', {
    staticClass: ["rule_text"]
  }, [_vm._v("以上规则最终解释权归平台所有")])])
}]}
module.exports.render._withStripped = true

/***/ })

/******/ });